aboutsummaryrefslogtreecommitdiff
path: root/package/gstreamer
diff options
context:
space:
mode:
authorGravatar Rahul Bedarkar <rahulbedarkar89@gmail.com>2017-03-30 19:13:32 +0530
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-04-01 15:16:38 +0200
commitaf31c309e73ca88ee70c52e591f90e4b89ff5e55 (patch)
tree557455d1af2ed577095b556852873e21c29060df /package/gstreamer
parentcded7ae71ac746a454b0aa184f60d3cb243033c2 (diff)
downloadbuildroot-af31c309e73ca88ee70c52e591f90e4b89ff5e55.tar.gz
buildroot-af31c309e73ca88ee70c52e591f90e4b89ff5e55.tar.bz2
boot, linux, package: use SPDX short identifier for GPLv2/GPLv2+
We want to use SPDX identifier for license strings as much as possible. SPDX short identifier for GPLv2/GPLv2+ is GPL-2.0/GPL-2.0+. This change is done by using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/\<GPLv2\>/GPL-2.0/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/gstreamer')
-rw-r--r--package/gstreamer/gst-ffmpeg/gst-ffmpeg.mk2
-rw-r--r--package/gstreamer/gst-plugins-bad/gst-plugins-bad.mk2
-rw-r--r--package/gstreamer/gst-plugins-base/gst-plugins-base.mk2
-rw-r--r--package/gstreamer/gst-plugins-ugly/gst-plugins-ugly.mk2
4 files changed, 4 insertions, 4 deletions
diff --git a/package/gstreamer/gst-ffmpeg/gst-ffmpeg.mk b/package/gstreamer/gst-ffmpeg/gst-ffmpeg.mk
index b1d8f8bd85..e178dbc444 100644
--- a/package/gstreamer/gst-ffmpeg/gst-ffmpeg.mk
+++ b/package/gstreamer/gst-ffmpeg/gst-ffmpeg.mk
@@ -12,7 +12,7 @@ GST_FFMPEG_DEPENDENCIES = host-pkgconf gstreamer gst-plugins-base
ifeq ($(BR2_PACKAGE_GST_FFMPEG_GPL),y)
GST_FFMPEG_CONF_OPTS += --disable-lgpl
-GST_FFMPEG_LICENSE = GPLv2+ (gst-ffmpeg), GPLv2+/GPLv3+ (libav)
+GST_FFMPEG_LICENSE = GPL-2.0+ (gst-ffmpeg), GPL-2.0+/GPLv3+ (libav)
GST_FFMPEG_LICENSE_FILES = COPYING gst-libs/ext/libav/COPYING.GPLv2 gst-libs/ext/libav/COPYING.GPLv3
else
GST_FFMPEG_CONF_OPTS += --enable-lgpl
diff --git a/package/gstreamer/gst-plugins-bad/gst-plugins-bad.mk b/package/gstreamer/gst-plugins-bad/gst-plugins-bad.mk
index 98e5c1cfb8..9296dab42d 100644
--- a/package/gstreamer/gst-plugins-bad/gst-plugins-bad.mk
+++ b/package/gstreamer/gst-plugins-bad/gst-plugins-bad.mk
@@ -8,7 +8,7 @@ GST_PLUGINS_BAD_VERSION = 0.10.23
GST_PLUGINS_BAD_SOURCE = gst-plugins-bad-$(GST_PLUGINS_BAD_VERSION).tar.xz
GST_PLUGINS_BAD_SITE = http://gstreamer.freedesktop.org/src/gst-plugins-bad
# COPYING.LIB is in fact v2, but most of the code is v2.1+
-GST_PLUGINS_BAD_LICENSE = LGPLv2.1+, GPLv2+
+GST_PLUGINS_BAD_LICENSE = LGPLv2.1+, GPL-2.0+
GST_PLUGINS_BAD_LICENSE_FILES = COPYING.LIB COPYING
GST_PLUGINS_BAD_CONF_OPTS = \
diff --git a/package/gstreamer/gst-plugins-base/gst-plugins-base.mk b/package/gstreamer/gst-plugins-base/gst-plugins-base.mk
index 51c22a90bb..d1738c5233 100644
--- a/package/gstreamer/gst-plugins-base/gst-plugins-base.mk
+++ b/package/gstreamer/gst-plugins-base/gst-plugins-base.mk
@@ -8,7 +8,7 @@ GST_PLUGINS_BASE_VERSION = 0.10.36
GST_PLUGINS_BASE_SOURCE = gst-plugins-base-$(GST_PLUGINS_BASE_VERSION).tar.xz
GST_PLUGINS_BASE_SITE = http://gstreamer.freedesktop.org/src/gst-plugins-base
GST_PLUGINS_BASE_INSTALL_STAGING = YES
-GST_PLUGINS_BASE_LICENSE = GPLv2+, LGPLv2+
+GST_PLUGINS_BASE_LICENSE = GPL-2.0+, LGPLv2+
GST_PLUGINS_BASE_LICENSE_FILES = COPYING COPYING.LIB
# freetype is only used by examples, but if it is not found
diff --git a/package/gstreamer/gst-plugins-ugly/gst-plugins-ugly.mk b/package/gstreamer/gst-plugins-ugly/gst-plugins-ugly.mk
index 0f56164d46..d1454301b8 100644
--- a/package/gstreamer/gst-plugins-ugly/gst-plugins-ugly.mk
+++ b/package/gstreamer/gst-plugins-ugly/gst-plugins-ugly.mk
@@ -10,7 +10,7 @@ GST_PLUGINS_UGLY_SITE = http://gstreamer.freedesktop.org/src/gst-plugins-ugly
GST_PLUGINS_UGLY_PATCH = http://git.alpinelinux.org/cgit/aports/plain/main/gst-plugins-ugly0.10/cdio-cd-text-api.patch
# COPYING is in fact LGPLv2.1, but all of the code is v2+
# (except for one test, xingmux)
-GST_PLUGINS_UGLY_LICENSE = LGPLv2+, GPLv2+ (synaesthesia)
+GST_PLUGINS_UGLY_LICENSE = LGPLv2+, GPL-2.0+ (synaesthesia)
GST_PLUGINS_UGLY_LICENSE_FILES = COPYING
GST_PLUGINS_UGLY_CONF_OPTS = \